package m05bSolicitudReserva_FirmaEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05SolicitudReserva_Firma</tt>.
 */
public class m05SolicitudReserva_FirmaPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the SolicitudReserva_Firma idSolicitud and codSolicitante, which is the primary key 
   * in table <tt>m05103t00</tt>.
   */
  public Integer codAsignacion;
  public String tipoFirma;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05SolicitudReserva_FirmaPK)
    {
      m05SolicitudReserva_FirmaPK otherKey = (m05SolicitudReserva_FirmaPK) obj;
      return (this.codAsignacion.intValue() == otherKey.codAsignacion.intValue()
    		  && this.tipoFirma.equals(otherKey.tipoFirma));
    }
    else
    {
      return false;
    }
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.codAsignacion.toString().concat(this.tipoFirma).hashCode();
  }
}